Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaMember

All Known Subinterfaces:
  JavaField, JavaMethod

    public interface JavaMember

Abstract interface which both JavaField and JavaMethod inherit from. It defines APIs which are common to both types of members. It is modelled on java.lang.reflect.Member

Author:
  pburka

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`JavaClass` | `getDeclaringClass()` Get the class which declares this field or method
`int` | `getModifiers()` Get the set of modifiers for this field or method - a set of bits
`java.lang.String` | `getName()` Get the name of the field or method
`java.lang.String` | `getSignature()` Get the signature of the field or method
`int` | `hashCode()`

Method Detail

### getModifiers

    int getModifiers()
                     throws CorruptDataException

  Get the set of modifiers for this field or method - a set of bits

  Returns:
    the modifiers for this field or method. The values for the constants representing the modifiers can be obtained from java.lang.reflect.Modifier.
  Throws:
    `CorruptDataException`

### getDeclaringClass

    JavaClass getDeclaringClass()
                                throws CorruptDataException,
                                       DataUnavailable

  Get the class which declares this field or method

  Returns:
    the JavaClass which declared this field or method
  Throws:
    `CorruptDataException`
    `DataUnavailable`

### getName

    java.lang.String getName()
                             throws CorruptDataException

  Get the name of the field or method

  Returns:
    the name of the field or method
  Throws:
    `CorruptDataException`

### getSignature

    java.lang.String getSignature()
                                  throws CorruptDataException

  Get the signature of the field or method

  Returns:
    the signature of the field or method. e.g. "(Ljava/lang/String;)V"
  Throws:
    `CorruptDataException`

### equals

    boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:
    True if the given object refers to the same Java Member in the image

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD